Skip to main content
PATCH
Update a delivery

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Delivery ID

Body

application/json
deliveryNumber
string

The delivery number.

Example:

"247000-08"

externalId
string

The external ID of the delivery.

Example:

"1234567890"

deliveryDate
string<date-time>

The delivery date.

Example:

"2024-06-21"

purchaseOrderId
string

The purchase order ID.

Example:

"1234567890"

Response

200 - application/json
id
string

The unique identifier of the entity.

createdAt
string<date-time>

The date and time the entity was created.

updatedAt
string<date-time>

The date and time the entity was last updated.

deliveryNumber
string

The number of the delivery.

externalId
string

The external ID of the delivery.

deliveryDate
string<date-time>

The date of the delivery.

purchaseOrder
object

The purchase order of the delivery.

lineItems
object[]

The line items of the delivery.

totalQuantity
number

Total quantity delivered across all line items